> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paywise.de/llms.txt
> Use this file to discover all available pages before exploring further.

# List Users

> List Users managed by your account. Provide appropriate filters to limit the search.



## OpenAPI

````yaml get /partner/v1/users/
openapi: 3.0.3
info:
  title: paywise Partner API
  version: v1
  description: |

    Use our API to create and manage companies & users.

    Please refer to the [official docs][ref1] for more!

    [ref1]: https://docs.paywise.de/api-docs/partner-api/introduction
servers:
  - url: https://api.paywise.de
    description: Production environment
security: []
externalDocs:
  url: https://docs.paywise.de/api-docs/partner-api/
paths:
  /partner/v1/users/:
    get:
      tags:
        - users
      summary: List Users
      description: >-
        List Users managed by your account. Provide appropriate filters to limit
        the search.
      operationId: list-users
      parameters:
        - in: query
          name: company
          schema:
            type: string
            format: uuid
          description: Filter by company UUID
        - in: query
          name: email
          schema:
            type: string
          description: Filter by email address
        - in: query
          name: first_name
          schema:
            type: string
          description: Filter by first name
        - in: query
          name: id
          schema:
            type: string
            format: uuid
          description: Filter by user UUID
        - in: query
          name: last_name
          schema:
            type: string
          description: Filter by last name
        - name: limit
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: offset
          required: false
          in: query
          description: The initial index from which to return the results.
          schema:
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedUserSerlializerList'
              examples:
                ListUsersResponseSample:
                  value:
                    count: 123
                    next: http://api.example.org/accounts/?offset=400&limit=100
                    previous: http://api.example.org/accounts/?offset=200&limit=100
                    results:
                      - href: >-
                          https://api.paywise.de/partner/v1/users/ab5fc850-7bb3-4c33-9741-d1305dfa41d9/
                        id: ab5fc850-7bb3-4c33-9741-d1305dfa41d9
                        email: max@mustermann.com
                        first_name: Max
                        last_name: Mustermann
                        company: 6196ba03-83f2-46ea-83e1-a087bd0c5acc
                        email_verified: true
                        notification_channels:
                          - channel_type: EMAIL
                            value: max@mustermann.com
                            notification_types:
                              - REQUESTS_TO_CLIENT
                              - STATUS_UPDATE
                              - STATEMENTS
                  summary: List Users Response Sample
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    PaginatedUserSerlializerList:
      type: object
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=400&limit=100
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?offset=200&limit=100
        results:
          type: array
          items:
            $ref: '#/components/schemas/UserSerlializer'
    UserSerlializer:
      type: object
      properties:
        href:
          type: string
          format: uri
          readOnly: true
        id:
          type: string
        email:
          type: string
          description: E-Mail des Benutzers
        first_name:
          type: string
          description: Vorname des Benutzers
        last_name:
          type: string
          description: Nachname des Benutzers
        company:
          type: string
          format: uuid
          description: UUID of the company that the user is going to be part of
        email_verified:
          type: boolean
          readOnly: true
        notification_channels:
          type: array
          items:
            $ref: '#/components/schemas/NotificationChannel'
          description: Notification settings for the user
      required:
        - company
        - email
        - email_verified
        - first_name
        - href
        - last_name
    NotificationChannel:
      type: object
      properties:
        channel_type:
          allOf:
            - $ref: '#/components/schemas/ChannelTypeEnum'
          description: >-
            Type of the communication channel to be used. Currently only
            supports email


            * `EMAIL` - E-Mail
        value:
          type: string
          description: Value of the communication channel (e.g. the email Address)
        notification_types:
          type: array
          items:
            $ref: '#/components/schemas/NotificationTypesEnum'
          nullable: true
      required:
        - channel_type
        - value
    ChannelTypeEnum:
      enum:
        - EMAIL
      type: string
      description: '* `EMAIL` - E-Mail'
    NotificationTypesEnum:
      enum:
        - STATUS_UPDATE
        - REQUESTS_TO_CLIENT
        - STATEMENTS
      type: string
      description: |-
        * `STATUS_UPDATE` - Status Updates
        * `REQUESTS_TO_CLIENT` - Rückfragen
        * `STATEMENTS` - Abrechnungen
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer

````